xmpi_2.2.3b8-13_amd64.deb


Advertisement

Description

xmpi - Graphical user interface for MPI program development

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name xmpi
Package version 2.2.3b8
Package release 13
Package architecture amd64
Package type deb
Installed size 277 B
Download size 98.28 KB
Official Mirror ftp.br.debian.org
MPI is a standard for writing parallel processing programs using
a well defined Message Passing Interface.
XMPI can acquire and display extensive detail on an application's MPI
communication, including the following:
o process synchronization status: running, system or blocked
o message queue contents
o source, destination, root ranks
o MPI function name
o communicator
o data type
o message count
o tag
The above information is acquired from on-demand snapshots of
application status using debugging hooks in the MPI implementation or
from a trace log of communication activity.

Alternatives

Package Version Architecture Repository
xmpi_2.2.3b8-13_i386.deb 2.2.3b8 i386 Debian Main
xmpi - - -

Requires

Name Value
lam-runtime -
lesstif2 >= 1:0.94.4
libc6 >= 2.2.5
libgcc1 >= 1:4.1.1
libice6 >= 1:1.0.0
liblam4 -
libsm6 -
libstdc++6 >= 4.1.1
libx11-6 -
libxmpi4 -
libxt6 -

Conflicts

Name Value
xmpi1-runtime -

Replaces

Name Value
xmpi1-runtime -

Download

Type URL
Binary Package xmpi_2.2.3b8-13_amd64.deb
Source Package xmpi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install xmpi deb package:
    # sudo apt-get install xmpi

Files

Path
/etc/X11/app-defaults/XMPI
/usr/bin/xmpi
/usr/share/doc/xmpi/NEWS.gz
/usr/share/doc/xmpi/README
/usr/share/doc/xmpi/README.Debian
/usr/share/doc/xmpi/changelog.Debian.gz
/usr/share/doc/xmpi/copyright
/usr/share/man/man1/xmpi.1.gz
/usr/share/menu/xmpi

Changelog

2012-05-10 - Camm Maguire <camm@debian.org>
xmpi (2.2.3b8-13) unstable; urgency=low
* priority set to extra
2012-04-11 - Camm Maguire <camm@debian.org>
xmpi (2.2.3b8-12) unstable; urgency=low
* lintian fixes
2010-09-16 - Camm Maguire <camm@debian.org>
xmpi (2.2.3b8-11) unstable; urgency=low
* Bug fix: "Maintainer address seems to bounce", thanks to Alexander
Reichle-Schmehl (Closes: #590810).
2008-03-15 - Luk Claes <luk@debian.org>
xmpi (2.2.3b8-10.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix FTBFS with GCC 4.3 (Closes: #417774).
2006-06-28 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-10) unstable; urgency=low
* Build-depend on lesstif2-dev, Closes: #374247.
* Build-depend on libx11-dev,libxt-dev instead of xlibs-dev, CLoses: #346829
* Newer standards
* man page error cleanups
2005-10-07 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-9) unstable; urgency=low
* Rebuild against latest lam for C++ transition, Closes: #329487.
* newer standards
2005-03-28 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-8) unstable; urgency=high
* Fix autotools timeskew issue thanks to Kurt Roeckx <kurt@roeckx.be>
and autotools-dev README.Debian.  Strategy is to prevent gnu toolchain
rebuild on autobuilders, but use updated config.{sub,guess} via
symbolic links into autotools-dev.  touch -r configure all relevant
input files.  Also add cross compilation options and support for DEB_?
environment variables per policy.
2005-03-25 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-7) unstable; urgency=high
* Bug fix: "xmpi: ftbfs [sparc] automake version mismatch", thanks to
Blars Blarson (Closes: #301352).  Rebuild auto* files qith automake1.7
installed.  Remove libtool from Build-Depends. FIXME -- Only
build-deps needed are apparently autotools-dev,debhelper,lam4-dev, and
lesstif-dev, though will wait to post sarge to change this.
2005-03-23 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-6) unstable; urgency=high
* Bug fix: "xmpi: FTBFS (amd64/gcc-4.0): &quot;$LD&quot; in configure
script and &quot;cast from 'void*' to 'int' loses precision&quot;",
thanks to Andreas Jochens (Closes: #301019).  Apply supplied patch --
thanks!
* Bug fix: "xmpi: FTBFS: Wrong library file name.", thanks to Kurt
Roeckx (Closes: #253521).  Build-depend on automake1.7 and libtool for
amd64, though it is unclear why this is necessary.
2005-03-23 - Camm Maguire <camm@enhanced.com>
xmpi (2.2.3b8-5) unstable; urgency=high
* Bug fix: "xmpi: FTBFS: Wrong library file name.", thanks to Kurt
Roeckx (Closes: #253521).  Ran libtoolize --force --copy
* Add src/libxmpi/nodeslist.loT to clean target

See Also

Package Description
xmpuzzles_7.6.3-1+b1_amd64.deb collection of puzzles for X (Motif version)
xnbd-client_0.1.0-pre-hg20-e75b93a47722-3_amd64.deb Network Block Device client with support for live migration
xnbd-common_0.1.0-pre-hg20-e75b93a47722-3_all.deb Network Block Device - common files
xnbd-server_0.1.0-pre-hg20-e75b93a47722-3_amd64.deb Network Block Device server with support for live migration
xnec2c_1.4-1_amd64.deb calculate and display radio antenna properties
xnecview_1.35-7.1_amd64.deb NEC structure and gain pattern viewer
xnee-doc_3.13-1_all.deb X event recorder/replayer - documentation
xnee_3.13-1_all.deb X event recorder/replayer - metapackage
xnest_1.12.4-6+deb7u6_amd64.deb Nested X server
xnetcardconfig_0.2.1-1_all.deb A simple network card configuration wizard for X
xneur_0.15.0-1.1_amd64.deb in-place conversion of text typed in with a wrong keyboard layout
xonix_1.4-29_amd64.deb game to carve up the screen whilst dodging monsters
xoo_0.8-1.1_amd64.deb graphical wrapper around Xnest/Xephyr
xorg-dev_7.7+3~deb7u1_all.deb X.Org X Window System development libraries
xorg-docs-core_1.6-1_all.deb Core documentation for the X.org X Window System
Advertisement
Advertisement